package com.voztele.sipspy;

import java.awt.Component;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

public class AboutFrame {

	static String[] msg = {
			"SipSpy is a SIP Monitoring Tool",
			"developed by VozTelecom (http://www.voztele.com)",
			"to help the development of the WeSIP Application Server (http://www.wesip.com)",
			"Released to the public under GPL license (unless some of the graphics)",
			"Authors :",
			"Elias Baixas Morato",
			" ",
			"Kudos:",
			"SipSpy is partially based on Nist's Tracesviewer (comes with nist's jain-sip)",
			"Ngrep has also been a great elightment source",
			"FamFamFam icons (http://www.famfamfam.com/) are really cute (the 2.0 icons!)",
			"" };

	public static void show(Component bg) {
		JPanel panel = new JPanel(new GridBagLayout());
		GridBagConstraints constraints = new GridBagConstraints();
		constraints.insets = new Insets(10, 10, 10, 10);
		constraints.weightx = 0;
		constraints.weighty = 0;
		constraints.gridwidth = 1;
		constraints.gridheight = 1;
		constraints.anchor = GridBagConstraints.NORTHEAST;
		constraints.fill = GridBagConstraints.NONE;
		constraints.gridx = 0;
		constraints.gridy = 0;

		panel.add(new JLabel(Utils.getIcon("WeSipLogo.gif")), constraints);
		constraints.gridy = 1;
		constraints.gridx = 1;
		constraints.gridy = 0;
		constraints.gridheight = 2;

		panel.add(getAboutText(), constraints);
		JOptionPane.showMessageDialog(bg, panel, "About...", JOptionPane.PLAIN_MESSAGE, null);
	}

	/**
	 */
	private static JComponent getAboutText() {
		JPanel panel = new JPanel(new GridBagLayout());

		GridBagConstraints constraints = new GridBagConstraints();
		constraints.weightx = 0;
		constraints.weighty = 0;
		constraints.gridwidth = 1;
		constraints.gridheight = 1;
		constraints.anchor = GridBagConstraints.CENTER;
		constraints.fill = GridBagConstraints.NONE;
		constraints.gridx = 0;
		for (int i = 0; i < msg.length; ++i) {
			constraints.gridy = i;
			panel.add(new JLabel(msg[i]), constraints);
		}
		return panel;
	}
}
