/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * Created on 29/09/2005 by Voztele.com
 *
 * TODO Add javadoc, edit members ..
 * 
 */
package com.voztele.sipspy.connections;

import javax.swing.JComboBox;

public class MyJComboBox extends JComboBox implements ConnectionListener{
	
	private String value;
	public boolean emtpy=true;
	
	public MyJComboBox(String[] devices) {
		super(devices);
	}
	
	public String getValue(){
		return value;
	}

	public void setValue(String s){
		this.value=s;
	}

	public void connectionEvent(Connection c, int eventType) {
		if((eventType==c.DISCONNECTED))
			removeAllItems();
		else if((eventType==c.DEVICES)){
			removeAllItems();
			String[] devices = c.getDevices();
			for(int i=0;i<devices.length;i++)
				addItem(devices[i]);
		}else return;
	}


}
