/*
 * Copyright (C) 2004-2007 VozTelecom Sistemas
 *
 * This file is part of SipSpy, a SIP monitoring tool.
 *
 * SipSpy is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * SipSpy is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.voztele.sipspy.ui;

public class PercentLayoutConstraint {
	/**
	 * Creates a Constraint Object. 
	 * @param x The X position of the top left corner of the component (0-100)
	 * @param y The Y position of the top left corner of the component (0-100)
	 * @param width The percentage width of the component (0-100)
	 * @param height The percentage height of the component (0-100)
	 */
	public PercentLayoutConstraint(
		double x,
		double y,
		double width,
		double height) {
		this.x = x;
		this.y = y;
		this.width = width;
		this.height = height;
	}
	double x, y, width, height;
}
